### Method

# Gtk TextBufferinsert_interactive_at_cursor

#### Declaration [src]

    gboolean
    gtk_text_buffer_insert_interactive_at_cursor (
      GtkTextBuffer* buffer,
      const char* text,
      int len,
      gboolean default_editable
    )

#### Description [src]

Inserts `text` in `buffer`.

Calls `gtk_text_buffer_insert_interactive()` at the cursor position.

`default_editable` indicates the editability of text that doesn’t have a tag affecting editability applied to it. Typically the result of `gtk_text_view_get_editable()` is appropriate here.

#### Parameters

`text`

  Type: `const char*`

  Text in UTF-8 format.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`len`

  Type: `int`

  Length of text in bytes, or -1

`default_editable`

  Type: `gboolean`

  Default editability of buffer.

#### Return value

Type: `gboolean`

Whether text was actually inserted.